# PoC: Austauschformat für Aufgaben
Vorteile:
- CTAGs eliminiert
- Übersichtlicher als alles in eine XML Datei (vor allem Einrückung ist bei Vermischung von XML und z.B. Java etwas ungünstig)
- Syntax-Highlighting für direkte Bearbeitung von Quelldateien

## Ordner files
Hier kommen alle Dateien rein (Testfälle, zu inkludierende Klassen bei der Testausführung etc., PDFs)

## Ordner solution
Alle Dateien für die Musterlösung. Skaliert also auch gut, wenn eine Musterlösung aus mehreren Dateien besteht

## Ordner template
Vorlage für den Studenten

## Datei text.html
Aufgabenstellung

## Datei meta.xml
Metdaten zur Aufgabe, hier werden die Dateien referenziert und es kann z.B. angegeben werden:

```
<files>
    <class lang="java" package="." public="false" type="include" name="DateTime.java"></class>
    <file public="true" name="EinePDF.pdf"></file>
</files>
``` 

1. Um welche Sprache handelt es sich
2. Ist die Datei öffentlich sichtbar oder nicht
3. Welcher Verwendungszweck (Testfall, Include, Misc)
4. Name der Datei, die im Ordner `files` gesucht wird

Zusätzlich kann man unterschiedliche XML-Tags mit unterschiedlichen gültigen Attributen anbieten, für Java: `class`, für C z.B.: `header`. Oder man definiert nur ein XML-Tag `file` und lässt die gültigen Attribute über `lang` bestimmen.


