import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CourseResultTableComponent } from './course-result-table/course-result-table.component';
import { HeaderRowComponent } from './header-row/header-row.component';
import { SummaryRowComponent } from './summary-row/summary-row.component';
import { ExerciseRowComponent } from './exercise-row/exercise-row.component';
import { TaskInstanceRowComponent } from './task-instance-row/task-instance-row.component';
import { SharedModule } from 'app/shared/shared.module';
import { RouterModule } from '@angular/router';



@NgModule({
  declarations: [
    CourseResultTableComponent,
    HeaderRowComponent,
    SummaryRowComponent,
    ExerciseRowComponent,
    TaskInstanceRowComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    RouterModule
  ],
  exports: [
    CourseResultTableComponent
  ]
})
export class CourseResultTableModule { }
