import { Component, OnInit } from '@angular/core';
import { BaseComponent } from 'app/shared/components/base/base.component';
import { Breadcrumb } from 'app/shared/components/breadcrumbs/breadcrumbs.component';

@Component({
  selector: 'ngx-new-task-pool',
  templateUrl: './new-task-pool.component.html',
  styleUrls: ['./new-task-pool.component.scss']
})
export class NewTaskPoolComponent extends BaseComponent implements OnInit {
  breadcrumbs: Breadcrumb[] = [];

  constructor() { 
    super();
  }

  buildBreadcrumbs() {
    this.breadcrumbs = [
      {
        id: 'pools',
      },
      {
        id: 'newPool',
      },
    ];
  }

  ngOnInit(): void {
    this.buildBreadcrumbs();
  }

}
