package de.hsrm.sls.subato.exercises.submission;

import de.hsrm.sls.subato.exercises.exercise.ExerciseDto;
import de.hsrm.sls.subato.user.UserDetailDto;

import java.util.List;

public class SubmissionDetailDto {
    private long id;
    private UserDetailDto submittedBy;
    private ExerciseDto exercise;
    private UserDetailDto checkedBy;
    private Boolean passed;
    private List<SubmissionPointRatingDto> pointRatings;
    private int totalPoints;
    private List<TaskInstanceAttemptsDto> attempts;
    private long pointRatingCount;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public UserDetailDto getSubmittedBy() {
        return submittedBy;
    }

    public void setSubmittedBy(UserDetailDto submittedBy) {
        this.submittedBy = submittedBy;
    }

    public ExerciseDto getExercise() {
        return exercise;
    }

    public void setExercise(ExerciseDto exercise) {
        this.exercise = exercise;
    }

    public UserDetailDto getCheckedBy() {
        return checkedBy;
    }

    public void setCheckedBy(UserDetailDto checkedBy) {
        this.checkedBy = checkedBy;
    }

    public Boolean getPassed() {
        return passed;
    }

    public void setPassed(Boolean passed) {
        this.passed = passed;
    }

    public List<SubmissionPointRatingDto> getPointRatings() {
        return pointRatings;
    }

    public void setPointRatings(List<SubmissionPointRatingDto> pointRatings) {
        this.pointRatings = pointRatings;
    }

    public int getTotalPoints() {
        return totalPoints;
    }

    public void setTotalPoints(int totalPoints) {
        this.totalPoints = totalPoints;
    }

    public List<TaskInstanceAttemptsDto> getAttempts() {
        return attempts;
    }

    public void setAttempts(List<TaskInstanceAttemptsDto> attempts) {
        this.attempts = attempts;
    }

    public long getPointRatingCount() {
        return pointRatingCount;
    }

    public void setPointRatingCount(long pointRatingCount) {
        this.pointRatingCount = pointRatingCount;
    }
}
