import { ExerciseResult } from "./exercise-result";

export class CourseResult {
    exerciseResults: ExerciseResult[];
    exercisesBinaryTotal: number;
    exercisesTotal: number;

    passedTotal: number;
    notPassedTotal: number;
    undecidedTotal: number;

    reachedPointsTotal: number;
    reachablePointsTotal: number;

    testsTotal: number;
    testsPassedTotal: number;
    styleErrorsTotal: number;
    leaksTotal: number;

    constructor(result: any) {
        this.exerciseResults = result.exerciseResults.map(p => new ExerciseResult(p));
        this.exercisesBinaryTotal = result.exercisesBinaryTotal;
        this.exercisesTotal = result.exercisesTotal;
        this.testsTotal = result.testsTotal;
        this.testsPassedTotal = result.testsPassedTotal;
        this.reachedPointsTotal = result.reachedPointsTotal;
        this.reachablePointsTotal = result.reachablePointsTotal;
        this.styleErrorsTotal = result.styleErrorsTotal;
        this.leaksTotal = result.leaksTotal;
        this.passedTotal = result.passedTotal;
        this.notPassedTotal = result.notPassedTotal;
        this.undecidedTotal = result.undecidedTotal;
    }
}