package de.hsrm.sls.subato.exercises.submission;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

@Mapper(componentModel = "spring")
public interface SubmissionMapper {
    SubmissionDetailDto mapDetail(Submission submission);

    SubmissionSummaryDto mapSummary(Submission submission);

    @Mapping(target = "taskId", source = "taskInstance.task.id")
    @Mapping(target = "exerciseId", source = "taskInstance.exercise.id")
    TaskInstanceAttemptsDto map(TaskInstanceAttempts attempts);
}
